Bug 459065

Summary: Review Request: italc - intelligent teaching and learning with computers
Product: [Fedora] Fedora Reporter: Axel Thimm <axel.thimm>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: atorkhov, comzeradd, fedora-package-review, felix, i, john.ellson, notting, q2dg, sebastian, th0br0
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-29 18:18:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449, 496433    
Attachments:
Description Flags
italc spec file none

Description Axel Thimm 2008-08-14 03:23:37 EDT
Spec URL: http://dl.atrpms.net/all/italc.spec
SRPM URL: http://dl.atrpms.net/all/italc-1.0.9-4.src.rpm
Description: 
iTALC is a use- and powerful didactical tool which lets you view and
control computers in your labs and interact with students in a modern
way. It supports Linux and Windows NT/2000/XP and it even can be used
transparently in mixed environments.
Comment 1 Rakesh Pandit 2008-08-16 17:07:08 EDT
[rpmbuild@rocky italc]$ rp -i italc-1.0.9-4.src.rpm 
italc.src: W: summary-not-capitalized intelligent teaching and learning with computers
Summary doesn't begin with a capital letter.

italc.src: E: unknown-key GPG#66534c2b
The package was signed, but with an unknown key. See the rpm --import option
for more information.

1 packages and 0 specfiles checked; 1 errors, 1 warnings.

if I remember, will update as soon as koji is up
Comment 2 Axel Thimm 2008-08-17 03:02:37 EDT
Thanks for spotting this. I'll fix the capitalization, but since it's minor I won't be repackaging yet, just consider it done :)

On the GPG key: Since it is not yet reviewed it canot carry any official Fedora GPG key. Please ignore this warning, it will automagically go away once the package goes through bodhi etc.
Comment 3 John Ellson 2008-08-25 21:45:13 EDT
$ rpmbuild --rebuild italc-1.0.9-4.src.rpm 
...
checking QTDIR... configure: error: *** QTDIR must be defined, or --with-qtdir option given
error: Bad exit status from /var/tmp/rpm-tmp.uuZdGM (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.uuZdGM (%build)
Comment 4 John Ellson 2008-08-25 22:01:27 EDT
I've no idea what I'm doing, so likely this is unfair, but
I installed italc and italc-master rpms then:

    $ italc
    Loading socket Config module ...
    Creating backend ...
    Loading x11 FrontEnd module ...
    Failed to load x11 FrontEnd module.
    Loading simple Config module ...
    Creating backend ...
    desc table has been created.
    Loading socket FrontEnd module ...
    Starting SCIM as daemon ...
    desc table has been created.
    QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory
    Mon Aug 25 21:56:53 2008: [warning] QFileSystemWatcher: failed to add paths: /tmp/ibus-ellson/


The splash screen was up, but the application was hung and had to be aborted with <ctrl>C

Shouldn't it provide a configuration screen?
Comment 5 Axel Thimm 2008-08-26 04:54:59 EDT
(In reply to comment #3)
> $ rpmbuild --rebuild italc-1.0.9-4.src.rpm 
> ...
> checking QTDIR... configure: error: *** QTDIR must be defined, or --with-qtdir
> option given
> error: Bad exit status from /var/tmp/rpm-tmp.uuZdGM (%build)

This is due to presence of qt3-devel. Please uninstall qt3-devel or use a chroot builder like mock to build w/o qt3-devel.

This should probably be addressed with a BuildConflicts: qt3-devel or patching the sources to properly use pkg-config. For the latter there is an upstream bug report here:

([ 2040452 ] should use pkg-config to locate qt4)
https://sourceforge.net/tracker/index.php?func=detail&aid=2040452&group_id=132465&atid=724375

But in Fedora's build concept this is not surfacing as it will install only the packages mentioned as BuildRequires: and not qt3-devel.
Comment 6 Axel Thimm 2008-08-26 05:08:22 EDT
(In reply to comment #4)
> I've no idea what I'm doing, so likely this is unfair, but
> I installed italc and italc-master rpms then:
> 
>     $ italc
>     Loading socket Config module ...
>     Creating backend ...
>     Loading x11 FrontEnd module ...
>     Failed to load x11 FrontEnd module.
>     Loading simple Config module ...
>     Creating backend ...
>     desc table has been created.
>     Loading socket FrontEnd module ...
>     Starting SCIM as daemon ...
>     desc table has been created.
>     QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No
> such file or directory
>     Mon Aug 25 21:56:53 2008: [warning] QFileSystemWatcher: failed to add
> paths: /tmp/ibus-ellson/
> 
> 
> The splash screen was up, but the application was hung and had to be aborted
> with <ctrl>C
> 
> Shouldn't it provide a configuration screen?

Yes, that's what it does. What did you test it under, rawhide? I tested this on F9 and it worked OK.

Note that ica must be running for italc (the master app) to be able to work. But usually you get a note after the splash screen that this needs to happen and the program bails out.

Also I've never seen this verbose output even if ica is not running, usually there is no output on the console at all. Maybe it is firing up some QT components for the first time and you see a QT issue?

If you didn't try this under F9, could you please do so? And we can dig into any rawhide problems in the next step.
Comment 7 John Ellson 2008-08-26 06:00:35 EDT
Re #3:   I removed qt3-devel, and a bunch of stuff that depended on it.

I notice that even after a fresh login I still have QTDIR=/usr/lib64/qt-3.3
in my environment.  Not sure where this is getting set?  Its not getting set in my .bash* scripts.

Anyway, same problem.

I would have tried removing qt3, but this would have resulted in the removal of most of KDE.

I tried a subshell and "unset QTDIR" before running rpmbuild, but this resulted in:

    checking QTDIR... /usr
    checking Qt includes... /usr/include
    checking for moc-qt4... no
    checking for moc... no
    configure: error: *** not found! Make sure you have Qt-devel-tools installed!
    error: Bad exit status from /var/tmp/rpm-tmp.TQpaPw (%build)


    RPM build errors:
        Bad exit status from /var/tmp/rpm-tmp.TQpaPw (%build)

I can't find any "moc-qt4" rpms.


I tried on a reasonably vanilla fedora-9 system, same problem.
Comment 8 Axel Thimm 2008-08-26 06:11:33 EDT
/usr/bin/moc-qt4 is part of qt-devel, which is a build requirement.

Does it exist on your system (ls /usr/bin/moc-qt4)?
Is the qt-devel package damaged (rpm -V qt-devel)
Comment 9 Axel Thimm 2008-08-26 06:22:38 EDT
QTDIR is being set by qt3, not qt3-devel (as I assumed), so indeed removing it for test building outside of chroots is not going to work. I patched up the specfile a bit to allow building even if qt3 bits are around, please use the following patch:

@@ -1,7 +1,7 @@
-Summary: intelligent teaching and learning with computers
+Summary: Intelligent teaching and learning with computers
 Name: italc
 Version: 1.0.9
-Release: 4%{?dist}
+Release: 5%{?dist}
 License: GPLv2+
 Group: System Environment/Daemons
 URL: http://italc.sourceforge.net/
@@ -46,6 +46,10 @@
 %patch3 -p1
 
 %build
+# QTDIR may be set by a qt3 instance, remove it
+# (italc shouldn't be checking for QTDIR in the first place, it's
+# obsoleted in QT4)
+unset QTDIR
 # docdir handling is broken in configure.in, but for good measure,
 # let's keep it where it should be
 %configure --docdir=%{_defaultdocdir}/%{name}-%{version}
Comment 10 John Ellson 2008-08-26 06:46:00 EDT
Re #8:
    on rawhide, a fresh install of qt-devel installs a broken link: 
 
lrwxrwxrwx 1 root root 20 2008-08-26 06:44 /usr/bin/moc-qt4 -> ../../../bin/moc-qt4

I'll report this against qt...
Comment 11 John Ellson 2008-08-26 08:47:49 EDT
Re #9:   Tested that the patch worked, and that builds failed without it, on fc9.i386 and fc9.x86_64.   Thanks.

Re #6:   OK, on fc9.i386 and fc9.x86_64 running italc from the command line immediately after a fresh install produces much more reasonable set of warning popups.
Comment 12 John Ellson 2008-08-26 16:01:28 EDT
Re #10:

     The Rawhide bug was cause by bad qt,qt-devel rpms sometime in the past.
Comment 13 John Ellson 2008-08-26 16:05:53 EDT
... oops hit enter too soon...    The issue was solved in bug #460123
Comment 14 John Ellson 2008-08-26 16:11:23 EDT
Re #6: But the problem with the italc executable from the freshly built rpms is still there on Rawhide:

    $  italc
    Loading socket Config module ...
    Creating backend ...
    Loading x11 FrontEnd module ...
    Failed to load x11 FrontEnd module.
    Loading simple Config module ...
    Creating backend ...
    desc table has been created.
    Loading socket FrontEnd module ...
    Starting SCIM as daemon ...
    desc table has been created.
    QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory
    Tue Aug 26 16:08:00 2008: [warning] QFileSystemWatcher: failed to add paths: /tmp/ibus-ellson/
Comment 15 Axel Thimm 2008-08-26 16:22:30 EDT
(In reply to comment #14)
> Re #6: But the problem with the italc executable from the freshly built rpms is
> still there on Rawhide:

What about F9, does it work as advertised? One needs to have ica on all systems running, which is probably the largest issue on F9 and not completely solved (if you need remote access during gdm, kdm, ldm, ..., one needs to add several different autostart mechanisms for ica).

If it works on F9, I'd suggest to to allow for rawhide to kickstart again. Since the infrastructure incident two weeks ago there was no update and rawhide was in the middle of going alpha to beta.
Comment 16 John Ellson 2008-08-26 16:32:49 EDT
Yes, fc9 is fine, as far as I've progressed with it.  See #11.

Ok with allowing rawhide to catch up.  I was just trying to record that the issue
is still open.
Comment 17 Felix Kaechele 2009-01-20 15:25:34 EST
Is this still on the agenda? I don't mind taking the review if that helps.
Comment 18 Axel Thimm 2009-01-22 02:26:03 EST
Sure it is, but maybe there are newer spec/srpms, I just looked it up and there are the latest:

Spec URL: http://dl.atrpms.net/all/italc.spec
SRPM URL: http://dl.atrpms.net/all/italc-1.0.9-6.src.rpm

Note that I found some issues with multiple users using X (with fastuserswitch).
Comment 19 Andreas Osowski 2009-05-20 17:30:05 EDT
Again, is this still on the agenda? If so, I'll do the review.
Otherwise, I'm pretty interested in getting iTALC packaged for Fedora.
Comment 20 Axel Thimm 2009-05-24 02:47:29 EDT
It still is on the agenda, but I'm aging with it and someday either me or this review will die of age :(

There are probably not that many educators or other people with needs that this package addresses.

Having poured my pessimism into this report, you are welcome to review it!
Comment 21 Jonathan Dieter 2009-07-22 13:50:28 EDT
Axel, I'll review this over the next few days if you're still happy to maintain it.  We're looking at using it in the school I work for.
Comment 22 Axel Thimm 2009-07-22 14:36:01 EDT
Although I'm cutting in my own flesh: A review point against italc as packaged is that by now libvncserver and x11vnc (almost) passed their reviews and should then be used instead of italc's own embedded code.

You can go on and review all other parts and we should then concentrate on getting italc working against the other packages once they have stabilized and entered the repo.

Thanks!
Comment 23 Felix Kaechele 2010-03-04 13:50:35 EST
Hi there. I looked into the bundled libs issue and talked with upstream (Tobias Doerffel) about it. He's pretty confident that we won't manage to separate the bundled libraries from the code without a major code overhaul because many the libs are modified and tighly integrated with the code. Unfortunately he doesn't seem to be actively developing iTALC anymore. But he did confirm the project is not dead, it's just the lowest priority project for him right now.
Comment 24 Jonathan Dieter 2010-03-04 14:04:03 EST
Well, the school I'm working with ended up not wanting italc, so my motivation for an in-depth review has waned.
Comment 25 Jonathan Dieter 2010-03-04 14:05:09 EST
Sorry, that should be "motivation for *taking on* an in-depth review has waned".
Comment 26 manuel wolfshant 2010-07-19 08:07:32 EDT
Axel, it seems that your old src.rpm does not build on the current distros ( EL-6 and F14 scratch builds both failed as here: http://koji.fedoraproject.org/koji/getfile?taskID=2328766&name=build.log )

If you are still motivated to push italc forward, please fix it and I'll do the review.
Comment 27 Jason Tibbitts 2010-11-02 17:10:11 EDT
Please clear the whiteboard if providing a package which builds.
Comment 28 Daniel Duggan 2011-01-15 00:00:38 EST
Created attachment 473626 [details]
italc spec file

I have used an old spec file of Alex's with a few changes to successfully build italc on F14 x86_64. If someone would like to try to build and install the application, please do so.
Comment 29 Nathan Owe 2011-08-04 23:12:08 EDT
*** Bug 717595 has been marked as a duplicate of this bug. ***
Comment 30 q2dg 2014-01-03 10:31:55 EST
What about try it again? I think this kind of software it's a key factor in schools.

If you don't like Italc, there is also another interesting (and similar) applications called Epoptes: http://www.epoptes.org
Comment 31 Christopher Meng 2014-01-03 13:11:24 EST
(In reply to q2dg from comment #30)
> What about try it again? I think this kind of software it's a key factor in
> schools.
> 
> If you don't like Italc, there is also another interesting (and similar)
> applications called Epoptes: http://www.epoptes.org

I will package this one later per your request.
Comment 32 q2dg 2014-12-30 13:09:32 EST
Hello.
There's some news about it?
Thanks!